# Uses of Class
javafx.scene.control.TableView

Packages that use TableView
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TableView in javafx.scene.control

Fields in javafx.scene.control with type parameters of type TableView
Modifier and Type
Field
Description
`static final Callback<TableView,Boolean>`
TableView.`DEFAULT_SORT_POLICY`
The default `sort policy` that this TableView will use if no other policy is specified.
Methods in javafx.scene.control that return TableView
Modifier and Type
Method
Description
`TableView<S>`
TableView.ResizeFeatures.`getTable()`
Returns the TableView upon which the resize operation is occurring.
`final TableView<S>`
TableCell.`getTableView()`
Gets the value of the `tableView` property.
`TableView<S>`
TableColumn.CellDataFeatures.`getTableView()`
Returns the `TableView` passed in to the constructor.
`TableView<S>`
TableColumn.CellEditEvent.`getTableView()`
Returns the TableView upon which this event occurred.
`final TableView<S>`
TableColumn.`getTableView()`
Gets the value of the `tableView` property.
`final TableView<S>`
TablePosition.`getTableView()`
The TableView that this TablePosition is related to.
`final TableView<T>`
TableRow.`getTableView()`
Gets the value of the `tableView` property.
`TableView<S>`
TableView.TableViewSelectionModel.`getTableView()`
Returns the TableView instance that this selection model is installed in.
Methods in javafx.scene.control that return types with arguments of type TableView
Modifier and Type
Method
Description
`EventHandler<SortEvent<TableView<S>>>`
TableView.`getOnSort()`
Gets the value of the `onSort` property.
`final Callback<TableView<S>,TableRow<S>>`
TableView.`getRowFactory()`
Gets the value of the `rowFactory` property.
`final Callback<TableView<S>,Boolean>`
TableView.`getSortPolicy()`
Gets the value of the `sortPolicy` property.
`ObjectProperty<EventHandler<SortEvent<TableView<S>>>>`
TableView.`onSortProperty()`
Called when there's a request to sort the control.
`final ObjectProperty<Callback<TableView<S>,TableRow<S>>>`
TableView.`rowFactoryProperty()`
A function which produces a TableRow.
`final ObjectProperty<Callback<TableView<S>,Boolean>>`
TableView.`sortPolicyProperty()`
The sort policy specifies how sorting in this TableView should be performed.
`final ReadOnlyObjectProperty<TableView<S>>`
TableCell.`tableViewProperty()`
The TableView associated with this TableCell.
`final ReadOnlyObjectProperty<TableView<S>>`
TableColumn.`tableViewProperty()`
The TableView that this TableColumn belongs to.
`final ReadOnlyObjectProperty<TableView<T>>`
TableRow.`tableViewProperty()`
The TableView associated with this Cell.
Methods in javafx.scene.control with parameters of type TableView
Modifier and Type
Method
Description
`final void`
TableCell.`updateTableView(TableView tv)`
Updates the TableView associated with this TableCell.
`final void`
TableRow.`updateTableView(TableView<T> tv)`
Updates the TableView associated with this TableCell.
Method parameters in javafx.scene.control with type arguments of type TableView
Modifier and Type
Method
Description
`void`
TableView.`setOnSort(EventHandler<SortEvent<TableView<S>>> value)`
Sets the value of the `onSort` property.
`final void`
TableView.`setRowFactory(Callback<TableView<S>,TableRow<S>> value)`
Sets the value of the `rowFactory` property.
`final void`
TableView.`setSortPolicy(Callback<TableView<S>,Boolean> callback)`
Sets the value of the `sortPolicy` property.
Constructors in javafx.scene.control with parameters of type TableView
Modifier
Constructor
Description
``
`CellDataFeatures(TableView<S> tableView, TableColumn<S,T> tableColumn, S value)`
Instantiates a CellDataFeatures instance with the given properties set as read-only values of this instance.
``
`CellEditEvent(TableView<S> table, TablePosition<S,T> pos, EventType<TableColumn.CellEditEvent<S,T>> eventType, T newValue)`
Creates a new event that can be subsequently fired to the relevant listeners.
``
`ResizeFeatures(TableView<S> table, TableColumn<S,?> column, Double delta)`
Creates an instance of this class, with the provided TableView, TableColumn and delta values being set and stored in this immutable instance.
``
`TablePosition(TableView<S> tableView, int row, TableColumn<S,T> tableColumn)`
Constructs a TablePosition instance to represent the given row/column position in the given TableView instance.
``
`TableViewFocusModel(TableView<S> tableView)`
Creates a default TableViewFocusModel instance that will be used to manage focus of the provided TableView control.
``
`TableViewSelectionModel(TableView<S> tableView)`
Builds a default TableViewSelectionModel instance with the provided TableView.

## Uses of TableView in javafx.scene.control.skin

Constructors in javafx.scene.control.skin with parameters of type TableView
Modifier
Constructor
Description
``
`TableViewSkin(TableView<T> control)`
Creates a new TableViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.